# PHTML::Image Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Image:

List of all members.

## Public Member Functions

| Image (const char *src, int width=0, int height=0, const char *attr=NULL)
| Image (const char *src, const char *alt, int width=0, int height=0, const char *attr=NULL)
virtual | ~Image ()

## Protected Member Functions

virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::Image::Image | ( | const char * | src,
|  | int | width = `0`,
|  | int | height = `0`,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::Image::Image | ( | const char * | src,
|  | const char * | alt,
|  | int | width = `0`,
|  | int | height = `0`,
|  | const char * | attr = `NULL` |
| ) |  |  |

virtual PHTML::Image::~Image | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void PHTML::Image::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::ImageElement.

The documentation for this class was generated from the following file:

- html.h